Plesk\backup\Agent\Schema\Backup\Mailuser\MailuserAType:
    properties:
        id:
            expose: true
            access_type: public_method
            serialized_name: id
            accessor:
                getter: getId
                setter: setId
            xml_attribute: true
            type: string
        guid:
            expose: true
            access_type: public_method
            serialized_name: guid
            accessor:
                getter: getGuid
                setter: setGuid
            xml_attribute: true
            type: string
        ownerGuid:
            expose: true
            access_type: public_method
            serialized_name: owner-guid
            accessor:
                getter: getOwnerGuid
                setter: setOwnerGuid
            xml_attribute: true
            type: string
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        forwardingEnabled:
            expose: true
            access_type: public_method
            serialized_name: forwarding-enabled
            accessor:
                getter: getForwardingEnabled
                setter: setForwardingEnabled
            xml_attribute: true
            type: string
        mailboxQuota:
            expose: true
            access_type: public_method
            serialized_name: mailbox-quota
            accessor:
                getter: getMailboxQuota
                setter: setMailboxQuota
            xml_attribute: true
            type: string
        userGuid:
            expose: true
            access_type: public_method
            serialized_name: user-guid
            accessor:
                getter: getUserGuid
                setter: setUserGuid
            xml_attribute: true
            type: string
        cpAccessDefault:
            expose: true
            access_type: public_method
            serialized_name: cp-access-default
            accessor:
                getter: getCpAccessDefault
                setter: setCpAccessDefault
            xml_attribute: true
            type: string
        externalEmail:
            expose: true
            access_type: public_method
            serialized_name: external-email
            accessor:
                getter: getExternalEmail
                setter: setExternalEmail
            xml_attribute: true
            type: string
        properties:
            expose: true
            access_type: public_method
            serialized_name: properties
            xml_element:
                cdata: false
            accessor:
                getter: getProperties
                setter: setProperties
            type: Plesk\backup\Agent\Schema\Backup\Mailuser\MailuserAType\PropertiesAType
        preferences:
            expose: true
            access_type: public_method
            serialized_name: preferences
            xml_element:
                cdata: false
            accessor:
                getter: getPreferences
                setter: setPreferences
            type: Plesk\backup\Agent\Schema\Backup\Mailuser\MailuserAType\PreferencesAType
        apsServices:
            expose: true
            access_type: public_method
            serialized_name: aps-services
            xml_element:
                cdata: false
            accessor:
                getter: getApsServices
                setter: setApsServices
            type: array<Plesk\backup\Agent\Schema\Backup\Mailuser\MailuserAType\ApsServicesAType\ApsServiceAType>
            xml_list:
                inline: false
                entry_name: aps-service
                skip_when_empty: true
